Upstream information

CVE-2015-1419 at MITRE

Description

Unspecified vulnerability in vsftpd 3.0.2 and earlier allows remote attackers to bypass access restrictions via unknown vectors, related to deny_file parsing.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entries: 900326 [RESOLVED], 915522 [RESOLVED / FIXED], 922024 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 6
SUSE Linux Enterprise High Performance Computing 15 SP1
SUSE Linux Enterprise Module for Server Applications 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Manager Proxy 4.0
SUSE Manager Retail Branch Server 4.0
SUSE Manager Server 4.0
  • vsftpd >= 3.0.3-7.7.9
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP1 GA vsftpd-3.0.3-7.7.9
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Server Applications 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • vsftpd >= 3.0.3-7.16.1
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP3 GA vsftpd-3.0.3-7.16.1
SUSE Enterprise Storage 7
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Module for Server Applications 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • vsftpd >= 3.0.3-7.7.9
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP2 GA vsftpd-3.0.3-7.7.9
SUSE Linux Enterprise High Performance Computing 12 SP5
  • vsftpd >= 3.0.2-40.11.1
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA vsftpd-3.0.2-40.11.1
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Server Applications 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • vsftpd >= 3.0.5-150400.1.6
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP4 GA vsftpd-3.0.5-150400.1.6
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Module for Server Applications 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • vsftpd >= 3.0.3-5.7
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 GA vsftpd-3.0.3-5.7
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • vsftpd >= 2.0.7-4.29.1
Patchnames:
slessp3-vsftpd
SUSE Linux Enterprise Server 11 SP4
  • vsftpd >= 2.0.7-4.35.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA vsftpd-2.0.7-4.35.1
SUSE Linux Enterprise Server 11-SECURITY
  • vsftpd-openssl1 >= 2.0.7-4.43.1
Patchnames:
SUSE Linux Enterprise Server 11-SECURITY GA vsftpd-openssl1-2.0.7-4.43.1
SUSE Linux Enterprise Server 12 SP1
  • vsftpd >= 3.0.2-24.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA vsftpd-3.0.2-24.1
SUSE Linux Enterprise Server 12 SP2
  • vsftpd >= 3.0.2-31.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA vsftpd-3.0.2-31.1
SUSE Linux Enterprise Server 12 SP3
  • vsftpd >= 3.0.2-39.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA vsftpd-3.0.2-39.1
SUSE Linux Enterprise Server 12 SP4
  • vsftpd >= 3.0.2-40.11.1
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA vsftpd-3.0.2-40.11.1
SUSE Linux Enterprise Server 12 SP5
  • vsftpd >= 3.0.2-40.11.1
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA vsftpd-3.0.2-40.11.1
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server for SAP Applications 12
  • vsftpd >= 3.0.2-18.1
Patchnames:
SUSE-SLE-SERVER-12-2015-127
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • vsftpd >= 3.0.2-31.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA vsftpd-3.0.2-31.1
openSUSE Leap 15.0
  • vsftpd >= 3.0.3-lp150.4.1
Patchnames:
openSUSE Leap 15.0 GA vsftpd-3.0.3-lp150.4.1
openSUSE Leap 15.2
  • vsftpd >= 3.0.3-lp152.7.8
Patchnames:
openSUSE Leap 15.2 GA vsftpd-3.0.3-lp152.7.3
openSUSE Leap 15.3
  • vsftpd >= 3.0.3-7.16.1
Patchnames:
openSUSE Leap 15.3 GA vsftpd-3.0.3-7.16.1
openSUSE Leap 15.4
  • vsftpd >= 3.0.5-150400.1.6
Patchnames:
openSUSE Leap 15.4 GA vsftpd-3.0.5-150400.1.6
openSUSE Tumbleweed
  • vsftpd >= 3.0.3-7.1
Patchnames:
openSUSE Tumbleweed GA vsftpd-3.0.3-7.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 vsftpd Affected
SUSE Linux Enterprise High Performance Computing 15 SP5 vsftpd Already fixed
SUSE Linux Enterprise Module for Server Applications 15 SP5 vsftpd Already fixed
SUSE Linux Enterprise Real Time 15 SP3 vsftpd Affected
SUSE Linux Enterprise Server 12-LTSS vsftpd Affected
SUSE Linux Enterprise Server 15 SP5 vsftpd Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP4 vsftpd Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP5 vsftpd Already fixed
SUSE Manager Proxy 4.3 vsftpd Already fixed
SUSE Manager Retail Branch Server 4.3 vsftpd Already fixed
SUSE Manager Server 4.3 vsftpd Already fixed
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 SP2 vsftpd Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS vsftpd Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS vsftpd Affected
SUSE Linux Enterprise High Performance Computing 15 SP3 vsftpd Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS vsftpd Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS vsftpd Affected
SUSE Linux Enterprise High Performance Computing 15 SP4 vsftpd Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS vsftpd Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS vsftpd Already fixed
SUSE Linux Enterprise Module for Server Applications 15 SP2 vsftpd Unsupported
SUSE Linux Enterprise Module for Server Applications 15 SP3 vsftpd Affected
SUSE Linux Enterprise Module for Server Applications 15 SP4 vsftpd Already fixed
SUSE Linux Enterprise Server 15 SP2 vsftpd Unsupported
SUSE Linux Enterprise Server 15 SP2-LTSS vsftpd Affected
SUSE Linux Enterprise Server 15 SP3 vsftpd Affected
SUSE Linux Enterprise Server 15 SP3-LTSS vsftpd Affected
SUSE Linux Enterprise Server 15 SP4 vsftpd Already fixed
SUSE Linux Enterprise Server 15 SP4-LTSS vsftpd Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP2 vsftpd Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP3 vsftpd Affected
SUSE OpenStack Cloud 8 vsftpd Affected
SUSE OpenStack Cloud 9 vsftpd Affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 vsftpd Affected
SUSE Enterprise Storage 7 vsftpd Unsupported
SUSE Linux Enterprise Real Time 15 SP2 vsftpd Affected
SUSE Linux Enterprise Real Time 15 SP4 vsftpd Already fixed
SUSE Linux Enterprise Server 11 SP1 vsftpd Released
SUSE Linux Enterprise Server 11 SP1 LTSS vsftpd Released
SUSE Linux Enterprise Server 11 SP3 vsftpd Released
SUSE Linux Enterprise Server 11 SP3 LTSS vsftpd Released
SUSE Linux Enterprise Server 11 SP3-LTSS vsftpd Affected
SUSE Linux Enterprise Server 11 SP4 vsftpd Affected
SUSE Linux Enterprise Server 11 SP4 LTSS vsftpd Released
SUSE Linux Enterprise Server 11 SP4-LTSS vsftpd Released
SUSE Linux Enterprise Server 12 vsftpd Released
SUSE Linux Enterprise Server 12 SP1 vsftpd Released
SUSE Linux Enterprise Server 12 SP1-LTSS vsftpd Affected
SUSE Linux Enterprise Server 12 SP2 vsftpd Affected
SUSE Linux Enterprise Server 12 SP2-BCL vsftpd Affected
SUSE Linux Enterprise Server 12 SP2-ESPOS vsftpd Affected
SUSE Linux Enterprise Server 12 SP2-LTSS vsftpd Affected
SUSE Linux Enterprise Server 12 SP3 vsftpd Affected
SUSE Linux Enterprise Server 12 SP3-BCL vsftpd Affected
SUSE Linux Enterprise Server 12 SP3-ESPOS vsftpd Affected
SUSE Linux Enterprise Server 12 SP3-LTSS vsftpd Affected
SUSE Linux Enterprise Server 12 SP4 vsftpd Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS vsftpd Affected
SUSE Linux Enterprise Server 12 SP4-LTSS vsftpd Affected
SUSE Linux Enterprise Server 15 SP2-BCL vsftpd Affected
SUSE Linux Enterprise Server 15 SP3-BCL vsftpd Affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 vsftpd Affected
SUSE Linux Enterprise Server for SAP Applications 12 vsftpd Released
SUSE Linux Enterprise Server for SAP Applications 12 SP1 vsftpd Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 vsftpd Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 vsftpd Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 vsftpd Affected
SUSE Linux Enterprise Server for SAP Business All-in-One 11 SP1 vsftpd Released
SUSE Manager Proxy 4.1 vsftpd Unsupported
SUSE Manager Proxy 4.2 vsftpd Affected
SUSE Manager Retail Branch Server 4.1 vsftpd Unsupported
SUSE Manager Retail Branch Server 4.2 vsftpd Affected
SUSE Manager Server 4.1 vsftpd Unsupported
SUSE Manager Server 4.2 vsftpd Affected
SUSE OpenStack Cloud 7 vsftpd Affected
SUSE OpenStack Cloud Crowbar 8 vsftpd Affected
SUSE OpenStack Cloud Crowbar 9 vsftpd Affected


SUSE Timeline for this CVE

CVE page created: Fri Apr 10 14:29:07 2015
CVE page last modified: Mon Apr 15 13:37:23 2024